﻿@model PROJETMODELE.Models.VML.TG.Newmessage
@{
    Layout = null;
}
<div id="formulaire">
    <div>Réponse</div>
  <div class="forms">
            @using (Html.BeginForm())
            {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(true)
            
                <table>
                     <tr> 
                         <td>  @Html.LabelFor(model => model.Code_User)</td>
                         <td>  
                              <div  id='dest'></div>
                             @Html.DropDownListFor(model => model.Code_User, TempData["destinataire"] as SelectList, new { @disabled = "disabled"})
                         </td>
                       
                    </tr>
                     <tr> 
                         <td> @Html.LabelFor(model => model.priorite)</td>
                         <td> <div  id='prio'></div>
                             @Html.DropDownList("priorite",
                              new List<SelectListItem>() 
                                { 
                                    new SelectListItem(){ Value="Normale", Text="Normale", Selected=true},
                                    new SelectListItem(){ Value="Maximale", Text="Maximale"},
                                    new SelectListItem(){ Value="Faible", Text="Faible"}
                                })

                         </td>
                    </tr>
                     <tr>
                         <td>  @Html.LabelFor(model => model.Objet)</td>
                         <td>  @Html.EditorFor(model => model.Objet)</td>
                    </tr>
                    <tr>
                         <td>  @Html.LabelFor(model => model.Contenu)</td>
                         <td>  @Html.TextAreaFor(model => model.Contenu)</td>
                    </tr>
                 </table>
               <p>
           <button title="Valider"  type="submit" id="jqxButton" class="oufbutton send"><i class="ouf-ok"></i> Valider</button>
            <button title="Annuler"  type="button" id="jqxAnnuler" class="oufbutton fannul"><i class="ouf-cancel"></i> Annuler</button>
        </p>
            }
</div>
</div> 
<script>
        $("input[type='button'],input[type='submit']").jqxButton({ width: 'auto', height: 'auto', theme: "ui-redmond" });
    $('#formulaire').jqxValidator({
        rules: [
            { input: '#Objet', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            { input: '#Objet', message: 'Le libelle doit contenir entre 1 et 50 caractères!', action: 'keyup, blur', rule: 'length=1,50' },
            { input: '#Contenu', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' }
        ]
    });
    $("#Objet").jqxInput({ width: '350', height: '25', theme: "ui-redmond" });
    $("#Contenu").jqxInput({ width: '350', height: '200', theme: "ui-redmond" });
    // lorsque je soumets le formulaire
    //service
    $("#prio").jqxDropDownList({ theme: "ui-redmond", width: '350' });
    $("#prio").jqxDropDownList('loadFromSelect', 'priorite');
    $("#prio").jqxDropDownList('selectedIndex', 0);

    $("#prio").on('select', function (event) {
        if (event.args) {
            var args = event.args;
            // select the item in the 'select' tag.
            var index = args.item.index;
            $("#priorite").val(args.item.value);
        }
    });
    //service
    $("#dest").jqxDropDownList({ theme: "ui-redmond", width: '350' });
    $("#dest").jqxDropDownList('loadFromSelect', 'Code_User');
    var ni = 0;
    var elem =  @Model.Code_User
     $.each($('#Code_User option'), function (index, val) {
         if (val.value == elem)
             ni = index;
     });
     $("#dest").jqxDropDownList('selectedIndex', ni);
     $("#dest").on('select', function (event) {
        if (event.args) {
            var args = event.args;
            // select the item in the 'select' tag.
            var index = args.item.index;
            $("#Code_User").val(args.item.value);
        }
     });
     $("#dest").jqxDropDownList({ disabled: true });
     $('#jqxButton').on('click', function () {
         $('#formulaire').jqxValidator('validate');
     });
     $('#jqxAnnuler').off('click');
     $('#jqxAnnuler').on('click', function () {
         $("#loaderSpace,#loader").show();
         $('#formulaire').jqxWindow("destroy");
         $("#loaderSpace,#loader").hide();

     });


     // lorsque je soumets le formulaire
     $('#formulaire').on('validationSuccess', function (event) {
         $('form').on('submit', function () {
             $('form').off('submit');
             // appel Ajax
             $("#loaderSpace,#loader").show();
             $.ajax({
                 url: $(this).attr('action'), // le nom du fichier indiqué dans le formulaire
                 type: 'POST', // la méthode indiquée dans le formulaire (get ou post)
                 data: $(this).serialize(), // je sérialise les données (voir plus loin), ici les $_POST             
                 dataType: 'json'
             }).success(function (html) {// je récupère la réponse de l'action
                 $(".toast-item").remove();
                 if (html.length == 2) {//c'est ok
                     $('#formulaire').jqxWindow("destroy");
                     $('body').append(html);
                 } else {
                     $('body').append(html);//affichage du message de retour renvoyé
                 }
                 $("#loaderSpace,#loader").hide();
             }).error(function () {
                 $("#loaderSpace,#loader").hide();
                 alert('echek');
             });
             return false; // j'empêche le navigateur de soumettre lui-même le formulaire
         });
     });

     $('#formulaire').on('validationError', function (event) {
         $('form').on('submit', function () {
             return false; // j'empêche le navigateur de soumettre lui-même le formulaire
         });
     });
</script>
<style>
    #priorite,#Code_User
    {
       visibility:hidden;
       display:none;
    }
</style>
